org.crosswire.jsword.book.install.sword

## Class FTPExample

- java.lang.Object
- - org.crosswire.jsword.book.install.sword.FTPExample

-     public final class FTPExample
      extends Object

  Prototype code
  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `FTPExample()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static void` | `copyDirectory(org.apache.commons.net.ftp.FTPClient ftpClient, String sourceDir, String module, String destDir, String currentDir)`
    `(package private) static void` | `copyFile(org.apache.commons.net.ftp.FTPClient ftpClient, String sourceDir, String file, String destDir)`
    `(package private) static long` | `getSize(org.apache.commons.net.ftp.FTPClient ftpClient, String sourceDir, String module)`
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FTPExample

          private FTPExample()

  - ### Method Detail

    - #### copyDirectory

          static void copyDirectory(org.apache.commons.net.ftp.FTPClient ftpClient,
                           String sourceDir,
                           String module,
                           String destDir,
                           String currentDir)
                             throws IOException

      Throws:
        `IOException`

    - #### copyFile

          static void copyFile(org.apache.commons.net.ftp.FTPClient ftpClient,
                      String sourceDir,
                      String file,
                      String destDir)
                        throws IOException

      Throws:
        `IOException`

    - #### getSize

          static long getSize(org.apache.commons.net.ftp.FTPClient ftpClient,
                     String sourceDir,
                     String module)
                       throws IOException

      Throws:
        `IOException`

    - #### main

          public static void main(String[] args)